Name:		projectM-jack
Version:	2.0.1
Release:	2%{?dist}
Summary:	The projectM visualization plugin for jack
Group:		Applications/Multimedia
License:	GPLv2+ and MIT
URL:		http://projectm.sourceforge.net/
Source0:	http://downloads.sourceforge.net/projectm/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	cmake, libprojectM-qt-devel, jack-audio-connection-kit-devel, desktop-file-utils

%description
This package allows the use of the projectM visualization plugin through any
JACK compatible applications.

%prep
%setup -q

%build
%cmake .
make %{?_smp_mflags} VERBOSE=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Jan 26 2010 Jameson Pugh (imntreal@gmail.com) - 2.0.1-2
-Rebuild due to SONAME bump in libprojectM

* Sun Dec 13 2009 Jameson Pugh (imntreal@gmail.com) - 2.0.1-1
- New release

* Mon Oct 12 2009 Jameson Pugh (imntreal@gmail.com) - 1.2.0r1300-1
- New SVN version to prepare for v2

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 11 2008 Jameeson Pugh (imntreal@gmail.com) - 1.2.0-4
- Updated desktop file
- Removed line to delete la files

* Thu Nov 6 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-3
- Cleaned up Requires
- Added a patch to fix up the desktop file

* Thu Nov 6 2008 Jameson Pugh (imntreal@gmail.com) - 1.2.0-2
- Fixed SOURCE0
- Added VERBOSE=1 to make line
- Added cmake to BR line

* Wed Sep 3 2008 Jameson Pugh <imntreal@gmail.com> - 1.2.0-1
- Initial public release of the package
